org.eclipse.viatra.query.patternlanguage.emf.vql

## Interface CompareConstraint

- All Superinterfaces:
    Constraint, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier
  All Known Implementing Classes:
    CompareConstraintImpl

      public interface CompareConstraint
      extends Constraint

  A representation of the model object 'Compare Constraint'.

  The following features are supported:

  - `Left Operand`
  - `Feature`
  - `Right Operand`
  See Also:
    `PatternLanguagePackage.getCompareConstraint()`
  Generated:
  Model:

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `CompareFeature` | `getFeature()` Returns the value of the 'Feature' attribute.
    `ValueReference` | `getLeftOperand()` Returns the value of the 'Left Operand' containment reference.
    `ValueReference` | `getRightOperand()` Returns the value of the 'Right Operand' containment reference.
    `void` | `setFeature(CompareFeature value)` Sets the value of the '`Feature`' attribute.
    `void` | `setLeftOperand(ValueReference value)` Sets the value of the '`Left Operand`' containment reference.
    `void` | `setRightOperand(ValueReference value)` Sets the value of the '`Right Operand`' containment reference.
    `java.lang.String` | `toString()`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getLeftOperand

          ValueReference getLeftOperand()

      Returns the value of the 'Left Operand' containment reference.

      If the meaning of the 'Left Operand' containment reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Left Operand' containment reference.
      See Also:
        `setLeftOperand(ValueReference)`, `PatternLanguagePackage.getCompareConstraint_LeftOperand()`
      Generated:
      Model:
        containment="true"

    - #### setLeftOperand

          void setLeftOperand(ValueReference value)

      Sets the value of the '`Left Operand`' containment reference.
      Parameters:
        `value` - the new value of the 'Left Operand' containment reference.
      See Also:
        `getLeftOperand()`
      Generated:

    - #### getFeature

          CompareFeature getFeature()

      Returns the value of the 'Feature' attribute. The literals are from the enumeration `CompareFeature`.

      If the meaning of the 'Feature' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Feature' attribute.
      See Also:
        `CompareFeature`, `setFeature(CompareFeature)`, `PatternLanguagePackage.getCompareConstraint_Feature()`
      Generated:
      Model:

    - #### setFeature

          void setFeature(CompareFeature value)

      Sets the value of the '`Feature`' attribute.
      Parameters:
        `value` - the new value of the 'Feature' attribute.
      See Also:
        `CompareFeature`, `getFeature()`
      Generated:

    - #### getRightOperand

          ValueReference getRightOperand()

      Returns the value of the 'Right Operand' containment reference.

      If the meaning of the 'Right Operand' containment reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Right Operand' containment reference.
      See Also:
        `setRightOperand(ValueReference)`, `PatternLanguagePackage.getCompareConstraint_RightOperand()`
      Generated:
      Model:
        containment="true"

    - #### setRightOperand

          void setRightOperand(ValueReference value)

      Sets the value of the '`Right Operand`' containment reference.
      Parameters:
        `value` - the new value of the 'Right Operand' containment reference.
      See Also:
        `getRightOperand()`
      Generated:

    - #### toString

          java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`
      Generated:
      Model:
        annotation="http://www.eclipse.org/emf/2002/GenModel body='return org.eclipse.viatra.query.patternlanguage.emf.util.ASTStringProvider.INSTANCE.doSwitch(this);'"